Index: /branches/2011/UKMO_MERCATOR_obc_bdy_merge/NEMOGCM/NEMO/OPA_SRC/SBC/sbcapr.F90
===================================================================
--- /branches/2011/UKMO_MERCATOR_obc_bdy_merge/NEMOGCM/NEMO/OPA_SRC/SBC/sbcapr.F90	(revision 2796)
+++ /branches/2011/UKMO_MERCATOR_obc_bdy_merge/NEMOGCM/NEMO/OPA_SRC/SBC/sbcapr.F90	(revision 2797)
@@ -10,5 +10,4 @@
    !!   sbc_apr        : read atmospheric pressure in netcdf files 
    !!----------------------------------------------------------------------
-   USE bdy_par         ! Unstructured boundary parameters
    USE obc_par         ! open boundary condition parameters
    USE dom_oce         ! ocean space and time domain
@@ -30,5 +29,4 @@
    !                                         !!* namsbc_apr namelist (Atmospheric PRessure) *
    LOGICAL, PUBLIC ::   ln_apr_obc = .FALSE.  !: inverse barometer added to OBC ssh data 
-   LOGICAL, PUBLIC ::   ln_apr_bdy = .FALSE.  !: inverse barometer added to BDY ssh data
    LOGICAL, PUBLIC ::   ln_ref_apr = .FALSE.  !: ref. pressure: global mean Patm (F) or a constant (F)
 
@@ -115,13 +113,11 @@
          !
          !                                            !* control check
-         IF( ln_apr_obc .OR. ln_apr_bdy   )   &
-            CALL ctl_stop( 'sbc_apr: inverse barometer added to OBC or BDY ssh data not yet implemented ' )
+         IF( ln_apr_obc  )   &
+            CALL ctl_stop( 'sbc_apr: inverse barometer added to OBC ssh data not yet implemented ' )
          IF( ln_apr_obc .AND. .NOT. lk_obc )   &
             CALL ctl_stop( 'sbc_apr: add inverse barometer to OBC requires to use key_obc' )
-         IF( ln_apr_bdy .AND. .NOT. lk_bdy )   &
-            CALL ctl_stop( 'sbc_apr: add inverse barometer to OBC requires to use key_bdy' )
-         IF( ( ln_apr_obc .OR. ln_apr_bdy ) .AND. .NOT. lk_dynspg_ts )   &
+         IF( ( ln_apr_obc ) .AND. .NOT. lk_dynspg_ts )   &
             CALL ctl_stop( 'sbc_apr: use inverse barometer ssh at open boundary ONLY possible with time-splitting' )
-         IF( ( ln_apr_obc .OR. ln_apr_bdy ) .AND. .NOT. ln_apr_dyn   )   &
+         IF( ( ln_apr_obc ) .AND. .NOT. ln_apr_dyn   )   &
             CALL ctl_stop( 'sbc_apr: use inverse barometer ssh at open boundary ONLY requires ln_apr_dyn=T' )
       ENDIF
Index: /branches/2011/UKMO_MERCATOR_obc_bdy_merge/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90
===================================================================
--- /branches/2011/UKMO_MERCATOR_obc_bdy_merge/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 2796)
+++ /branches/2011/UKMO_MERCATOR_obc_bdy_merge/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 2797)
@@ -38,6 +38,6 @@
    USE sbcfwb           ! surface boundary condition: freshwater budget
    USE closea           ! closed sea
-   USE bdy_par          ! unstructured open boundary data variables
-   USE bdyice           ! unstructured open boundary data  (bdy_ice_frs routine)
+   USE obc_par          ! for lk_obc
+   USE obcice_lim2      ! unstructured open boundary data  (obc_ice_lim_2 routine)
 
    USE prtctl           ! Print control                    (prt_ctl routine)
@@ -253,5 +253,5 @@
          !                                                      
       CASE(  2 )   ;       CALL sbc_ice_lim_2( kt, nsbc )            ! LIM-2 ice model
-         IF( lk_bdy )      CALL bdy_ice_frs  ( kt )                  ! BDY boundary condition
+         IF( lk_obc )      CALL obc_ice_lim_2( kt )                  ! OBC boundary condition
          !                                                     
       CASE(  3 )   ;       CALL sbc_ice_lim  ( kt, nsbc )            ! LIM-3 ice model
Index: /branches/2011/UKMO_MERCATOR_obc_bdy_merge/NEMOGCM/NEMO/OPA_SRC/SOL/solmat.F90
===================================================================
--- /branches/2011/UKMO_MERCATOR_obc_bdy_merge/NEMOGCM/NEMO/OPA_SRC/SOL/solmat.F90	(revision 2796)
+++ /branches/2011/UKMO_MERCATOR_obc_bdy_merge/NEMOGCM/NEMO/OPA_SRC/SOL/solmat.F90	(revision 2797)
@@ -27,5 +27,4 @@
    USE phycst          ! physical constants
    USE obc_oce         ! ocean open boundary conditions
-   USE bdy_oce         ! unstructured open boundary conditions
    USE lbclnk          ! lateral boudary conditions
    USE lib_mpp         ! distributed memory computing
@@ -81,5 +80,5 @@
       ENDIF
 
-#if defined key_dynspg_flt && ! defined key_bdy
+#if defined key_dynspg_flt 
 #   if ! defined key_obc
 
@@ -99,68 +98,8 @@
          END DO
       END DO
+
 #   else
-    IF ( Agrif_Root() ) THEN
-      DO jj = 2, jpjm1                      ! matrix of free surface elliptic system with open boundaries
-         DO ji = 2, jpim1
-            zcoef = z2dt * z2dt * grav * bmask(ji,jj)
-            !                                    ! south coefficient
-            IF( lp_obc_south .AND. ( jj == njs0p1 ) ) THEN
-               zcoefs = -zcoef * hv(ji,jj-1) * e1v(ji,jj-1)/e2v(ji,jj-1)*(1.-vsmsk(ji,1))
-            ELSE
-               zcoefs = -zcoef * hv(ji,jj-1) * e1v(ji,jj-1)/e2v(ji,jj-1)
-            END IF
-            gcp(ji,jj,1) = zcoefs
-            !
-            !                                    ! west coefficient
-            IF( lp_obc_west  .AND. ( ji == niw0p1 ) ) THEN
-               zcoefw = -zcoef * hu(ji-1,jj) * e2u(ji-1,jj)/e1u(ji-1,jj)*(1.-uwmsk(jj,1))
-            ELSE
-               zcoefw = -zcoef * hu(ji-1,jj) * e2u(ji-1,jj)/e1u(ji-1,jj)
-            END IF
-            gcp(ji,jj,2) = zcoefw
-            !
-            !                                    ! east coefficient
-            IF( lp_obc_east  .AND. ( ji == nie0 ) ) THEN
-               zcoefe = -zcoef * hu(ji,jj) * e2u(ji,jj)/e1u(ji,jj)*(1.-uemsk(jj,1))
-            ELSE
-               zcoefe = -zcoef * hu(ji,jj) * e2u(ji,jj)/e1u(ji,jj)
-            END IF
-            gcp(ji,jj,3) = zcoefe
-            !
-            !                                    ! north coefficient
-            IF( lp_obc_north .AND. ( jj == njn0 ) ) THEN
-               zcoefn = -zcoef * hv(ji,jj) * e1v(ji,jj)/e2v(ji,jj)*(1.-vnmsk(ji,1))
-            ELSE
-               zcoefn = -zcoef * hv(ji,jj) * e1v(ji,jj)/e2v(ji,jj)
-            END IF
-            gcp(ji,jj,4) = zcoefn
-            !
-            !                                    ! diagonal coefficient
-            gcdmat(ji,jj) = e1t(ji,jj)*e2t(ji,jj)*bmask(ji,jj)   &
-               &            - zcoefs -zcoefw -zcoefe -zcoefn
-         END DO
-      END DO
-    ELSE
-      DO jj = 2, jpjm1                      ! matrix of free surface elliptic system
-         DO ji = 2, jpim1
-            zcoef = z2dt * z2dt * grav * bmask(ji,jj)
-            zcoefs = -zcoef * hv(ji  ,jj-1) * e1v(ji  ,jj-1) / e2v(ji  ,jj-1)    ! south coefficient
-            zcoefw = -zcoef * hu(ji-1,jj  ) * e2u(ji-1,jj  ) / e1u(ji-1,jj  )    ! west coefficient
-            zcoefe = -zcoef * hu(ji  ,jj  ) * e2u(ji  ,jj  ) / e1u(ji  ,jj  )    ! east coefficient
-            zcoefn = -zcoef * hv(ji  ,jj  ) * e1v(ji  ,jj  ) / e2v(ji  ,jj  )    ! north coefficient
-            gcp(ji,jj,1) = zcoefs
-            gcp(ji,jj,2) = zcoefw
-            gcp(ji,jj,3) = zcoefe
-            gcp(ji,jj,4) = zcoefn
-            gcdmat(ji,jj) = e1t(ji,jj) * e2t(ji,jj) * bmask(ji,jj)    &          ! diagonal coefficient
-               &          - zcoefs -zcoefw -zcoefe -zcoefn
-         END DO
-      END DO
-    ENDIF
-#   endif
-
-#  elif defined key_dynspg_flt && defined key_bdy 
-
-      !   defined gcdmat in the case of unstructured open boundaries
+
+      !   defined gcdmat in the case of open boundaries
       DO jj = 2, jpjm1
          DO ji = 2, jpim1
@@ -169,20 +108,20 @@
             !  south coefficient
             zcoefs = -zcoef * hv(ji,jj-1) * e1v(ji,jj-1)/e2v(ji,jj-1)
-            zcoefs = zcoefs * bdyvmask(ji,jj-1)
+            zcoefs = zcoefs * obcvmask(ji,jj-1)
             gcp(ji,jj,1) = zcoefs
 
             !  west coefficient
             zcoefw = -zcoef * hu(ji-1,jj) * e2u(ji-1,jj)/e1u(ji-1,jj)
-            zcoefw = zcoefw * bdyumask(ji-1,jj)
+            zcoefw = zcoefw * obcumask(ji-1,jj)
             gcp(ji,jj,2) = zcoefw
 
             !  east coefficient
             zcoefe = -zcoef * hu(ji,jj) * e2u(ji,jj)/e1u(ji,jj)
-            zcoefe = zcoefe * bdyumask(ji,jj)
+            zcoefe = zcoefe * obcumask(ji,jj)
             gcp(ji,jj,3) = zcoefe
 
             !  north coefficient
             zcoefn = -zcoef * hv(ji,jj) * e1v(ji,jj)/e2v(ji,jj)
-            zcoefn = zcoefn * bdyvmask(ji,jj)
+            zcoefn = zcoefn * obcvmask(ji,jj)
             gcp(ji,jj,4) = zcoefn
 
@@ -193,4 +132,5 @@
       END DO
 
+#endif
 #endif
 
Index: /branches/2011/UKMO_MERCATOR_obc_bdy_merge/NEMOGCM/NEMO/OPA_SRC/SOL/solver.F90
===================================================================
--- /branches/2011/UKMO_MERCATOR_obc_bdy_merge/NEMOGCM/NEMO/OPA_SRC/SOL/solver.F90	(revision 2796)
+++ /branches/2011/UKMO_MERCATOR_obc_bdy_merge/NEMOGCM/NEMO/OPA_SRC/SOL/solver.F90	(revision 2797)
@@ -23,5 +23,4 @@
    USE dynspg_oce      ! choice/control of key cpp for surface pressure gradient
    USE solmat          ! matrix of the solver
-   USE obc_oce         ! Lateral open boundary condition
    USE in_out_manager  ! I/O manager
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
Index: /branches/2011/UKMO_MERCATOR_obc_bdy_merge/NEMOGCM/NEMO/OPA_SRC/TRA/tranxt.F90
===================================================================
--- /branches/2011/UKMO_MERCATOR_obc_bdy_merge/NEMOGCM/NEMO/OPA_SRC/TRA/tranxt.F90	(revision 2796)
+++ /branches/2011/UKMO_MERCATOR_obc_bdy_merge/NEMOGCM/NEMO/OPA_SRC/TRA/tranxt.F90	(revision 2797)
@@ -36,6 +36,4 @@
    USE obc_oce
    USE obctra          ! open boundary condition (obc_tra routine)
-   USE bdy_par         ! Unstructured open boundary condition (bdy_tra_frs routine)
-   USE bdytra          ! Unstructured open boundary condition (bdy_tra_frs routine)
    USE in_out_manager  ! I/O manager
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
@@ -43,5 +41,4 @@
    USE traqsr          ! penetrative solar radiation (needed for nksr)
    USE traswp          ! swap array
-   USE obc_oce 
 #if defined key_agrif
    USE agrif_opa_update
@@ -81,6 +78,5 @@
       !!              - Apply lateral boundary conditions on (ta,sa) 
       !!             at the local domain   boundaries through lbc_lnk call, 
-      !!             at the radiative open boundaries (lk_obc=T), 
-      !!             at the relaxed   open boundaries (lk_bdy=T), and
+      !!             at the one-way open boundaries (lk_obc=T), 
       !!             at the AGRIF zoom     boundaries (lk_agrif=T)
       !!
@@ -111,5 +107,5 @@
       CALL lbc_lnk( tsa(:,:,:,jp_sal), 'T', 1. )
       !
-#if defined key_obc || defined key_bdy || defined key_agrif
+#if defined key_obc || defined key_agrif
       CALL tra_unswap
 #endif
@@ -118,12 +114,9 @@
       IF( lk_obc )   CALL obc_tra( kt )  ! OBC open boundaries
 #endif
-#if defined key_bdy 
-      IF( lk_bdy )   CALL bdy_tra_frs( kt )  ! BDY open boundaries
-#endif
 #if defined key_agrif
       CALL Agrif_tra                     ! AGRIF zoom boundaries
 #endif
 
-#if defined key_obc || defined key_bdy || defined key_agrif
+#if defined key_obc || defined key_agrif
       CALL tra_swap
 #endif
Index: /branches/2011/UKMO_MERCATOR_obc_bdy_merge/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90
===================================================================
--- /branches/2011/UKMO_MERCATOR_obc_bdy_merge/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 2796)
+++ /branches/2011/UKMO_MERCATOR_obc_bdy_merge/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 2797)
@@ -45,6 +45,6 @@
    USE mppini          ! shared/distributed memory setting (mpp_init routine)
    USE domain          ! domain initialization             (dom_init routine)
-   USE obcini          ! open boundary cond. initialization (obc_ini routine)
-   USE bdyini          ! unstructured open boundary cond. initialization (bdy_init routine)
+   USE obcini          ! open boundary cond. initialization (obc_init routine)
+   USE obcdta          ! open boundary cond. initialization (obc_dta_init routine)
    USE istate          ! initial state setting          (istate_init routine)
    USE ldfdyn          ! lateral viscosity setting      (ldfdyn_init routine)
@@ -294,6 +294,6 @@
       IF( ln_ctl        )   CALL prt_ctl_init   ! Print control
 
-      IF( lk_obc        )   CALL     obc_init   ! Open boundaries 
-      IF( lk_bdy        )   CALL     bdy_init   ! Unstructured open boundaries
+      IF( lk_obc        )   CALL     obc_init       ! Open boundaries initialisation
+      IF( lk_obc        )   CALL     obc_dta_init   ! Open boundaries initialisation of external data arrays
 
                             CALL  istate_init   ! ocean initial state (Dynamics and tracers)
Index: /branches/2011/UKMO_MERCATOR_obc_bdy_merge/NEMOGCM/NEMO/OPA_SRC/step.F90
===================================================================
--- /branches/2011/UKMO_MERCATOR_obc_bdy_merge/NEMOGCM/NEMO/OPA_SRC/step.F90	(revision 2796)
+++ /branches/2011/UKMO_MERCATOR_obc_bdy_merge/NEMOGCM/NEMO/OPA_SRC/step.F90	(revision 2797)
@@ -98,6 +98,4 @@
                          CALL sbc    ( kstp )         ! Sea Boundary Condition (including sea-ice)
       IF( lk_obc     )   CALL obc_dta( kstp )         ! update dynamic and tracer data at open boundaries
-      IF( lk_obc     )   CALL obc_rad( kstp )         ! compute phase velocities at open boundaries
-      IF( lk_bdy     )   CALL bdy_dta_frs( kstp )     ! update dynamic and tracer data for FRS conditions (BDY)
 
       !>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
@@ -247,5 +245,4 @@
       IF( kstp == nit000   )   CALL iom_close( numror )     ! close input  ocean restart file
       IF( lrst_oce         )   CALL rst_write    ( kstp )   ! write output ocean restart file
-      IF( lk_obc           )   CALL obc_rst_write( kstp )   ! write open boundary restart file
 
       !>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
Index: /branches/2011/UKMO_MERCATOR_obc_bdy_merge/NEMOGCM/NEMO/OPA_SRC/step_oce.F90
===================================================================
--- /branches/2011/UKMO_MERCATOR_obc_bdy_merge/NEMOGCM/NEMO/OPA_SRC/step_oce.F90	(revision 2796)
+++ /branches/2011/UKMO_MERCATOR_obc_bdy_merge/NEMOGCM/NEMO/OPA_SRC/step_oce.F90	(revision 2797)
@@ -48,11 +48,6 @@
    USE dynnxt           ! time-stepping                    (dyn_nxt routine)
 
-   USE obc_par          ! open boundary condition variables
+   USE obc_par          ! for lk_obc
    USE obcdta           ! open boundary condition data     (obc_dta routine)
-   USE obcrst           ! open boundary cond. restart      (obc_rst routine)
-   USE obcrad           ! open boundary cond. radiation    (obc_rad routine)
-
-   USE bdy_par          ! unstructured open boundary data variables
-   USE bdydta           ! unstructured open boundary data  (bdy_dta routine)
 
    USE sshwzv           ! vertical velocity and ssh        (ssh_wzv routine)
